<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package eight-degree
 */

get_header(); 
if ( is_home() && ! is_front_page() ) : ?>
		<header class="page-header">
			<div class="ed-container"> 
				<?php do_action('eight_degree_breadcrumb');?>	
				<h2 class="page-title"><?php single_post_title(); ?></h2>
				</div>
		</header><!-- .page-header -->				
			<?php
			endif;?>

<div class="ed-container">
	<?php 	    
	$sidebar = get_post_meta( $post->ID, 'eight_degree_sidebar_layout' , true );
	if(empty($sidebar)){
		$sidebar='right-sidebar';
	}
	if($sidebar=='both-sidebar'){
		?>
		<div class="left-sidebar-right">
	<?php
	}
	?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<?php if( is_home() ){
			$layout = get_theme_mod( 'eight_degree_innerpage_archive_post_layout','large-image' );
			?>
				<div class="archive-page  <?php echo esc_attr( $layout );?>"> 
		<?php
			}
				if ( have_posts() ) :

					

					/* Start the Loop */
					while ( have_posts() ) : the_post();

						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_format() );

					endwhile;

					the_posts_navigation();

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; 
				if( is_home()){ ?>
				</div>
			<?php } ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php 
	if($sidebar=='left-sidebar' || $sidebar=='both-sidebar'){
		get_sidebar('left');
	}
	if($sidebar=='both-sidebar'){
	    ?>
	        </div>
	    <?php
	}
	if($sidebar=='right-sidebar' || $sidebar=='both-sidebar'){
	 get_sidebar('right');
	}
	?>
</div>
<?php
get_footer();
