<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package eight-degree
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	$show_img = get_theme_mod('eight_degree_post_feat_img',1);
	if($show_img){
		if( has_post_thumbnail() ):
			$size = 'eight-degree-full';
			$image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), $size, true );
		?>
		<figure>
			<a href="<?php the_permalink();?>"><img src="<?php echo esc_url($image[0]);?>" alt="<?php the_title_attribute();?>" title = "<?php the_title_attribute();?>" /></a>
		</figure>
		<?php
		endif;
	}
	?>
	<div class="entry-content-wrap <?php echo esc_attr( $fullwidth );?>">
		<header class="entry-header clear">
			<?php
			$show_data = get_theme_mod('eight_degree_post_meta_data',1);
			if($show_data){
				if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php eight_degree_post_header(); ?>
					</div><!-- .entry-meta -->
				<?php
				endif; 
			}
			$show_title = get_theme_mod('eight_degree_single_post_title',1);
			if($show_title){
			the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
			}?>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'eight-degree' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eight-degree' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
	</div>


	<footer class="entry-footer">
		<?php eight_degree_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
