<?php
/**
 * Welcome Page Initiation
*/

include get_template_directory() . '/welcome/welcome.php';

/** Plugins **/
$plugins = array(
	// *** Companion Plugins
	'companion_plugins' => array(
		'access-demo-importer' 	=> array(
			'slug' 				=> 'access-demo-importer',
			'name' 				=> esc_html__('Instant Demo Importer', 'eight-degree'),
			'filename' 			=>'access-demo-importer.php',
 			// Use either bundled, remote, wordpress
			'host_type' 		=> 'wordpress',
			'class' 			=> 'Access_Demo_Importer',
			'info' => __('Access Demo Importer Plugin adds the feature to Import the Demo Conent with a single click.', 'eight-degree'),
		)
	),
	// *** Required Plugins
	'required_plugins' 			=> array(),

	// *** Recommended Plugins
	'recommended_plugins' => array(
			// Free Plugins
		'free_plugins' => array(
			'woocommerce' => array(
				'slug' 		=> 'woocommerce',
				'filename' 	=> 'woocommerce.php',
				'class' 	=> 'WooCommerce'
			),
			'ultimate-form-builder-lite' => array(
				'slug' 		=> 'ultimate-form-builder-lite',
				'filename' 	=> 'ultimate-form-builder-lite.php',
				'class' 	=> 'UFBL_Class'
			),
			'8-degree-coming-soon-page' => array(
				'slug' 		=> '8-degree-coming-soon-page',
				'filename' 	=> '8-degree-coming-soon-page.php',
				'class' 	=> 'Eight_Degree_Coming_Soon_Page'
			),
			'8-degree-notification-bar' => array(
				'slug' 		=> '8-degree-notification-bar',
				'filename' 	=> '8degree-notification.php',
				'class' 	=> 'Edn_Class'
			)
		),
		// Pro Plugins
		'pro_plugins' => array()
	),
);

$strings = array(
		// Welcome Page General Texts
	'welcome_menu_text' => esc_html__( 'Eight-Degree Setup', 'eight-degree' ),
	'theme_short_description' => esc_html__( 'Eight-Degree is a FREE yet feature-rich WordPress business theme, perfect for corporates and creative agencies. This elegantly designed WP theme comes with intuitive interface and easy customization options. It includes homepage sections like home sliders, services section, tabbed design - about us section, tabbed masonry portfolio and gallery layout and many other sections that are required to create a complete and stunning business website. Eight-Degree is a responsive theme featuring beautifully designed gradient slider, entrance and transition jQuery/CSS animation. This user-friendly WordPress theme is best optimized for fast loading speed - it loads about 60% faster than any other business/corporate themes in the market.', 'eight-degree' ),

	// Plugin Action Texts
	'install_n_activate' => esc_html__('Install and Activate', 'eight-degree'),
	'deactivate' => esc_html__('Deactivate', 'eight-degree'),
	'activate' => esc_html__('Activate', 'eight-degree'),

	// Recommended Plugins Section
	'pro_plugin_title' => esc_html__( 'Pro Plugins', 'eight-degree' ),
	'pro_plugin_description' => esc_html__( 'Take Advantage of some of our Premium Plugins.', 'eight-degree' ),
	'free_plugin_title' => esc_html__( 'Free Plugins', 'eight-degree' ),
	'free_plugin_description' => esc_html__( 'These Free Plugins might be handy for you.', 'eight-degree' ),

	// Demo Actions
	'installed_btn' => esc_html__('Activated', 'eight-degree'),
	'deactivated_btn' => esc_html__('Activated', 'eight-degree'),
	'demo_installing' => esc_html__('Installing Demo', 'eight-degree'),
	'demo_installed' => esc_html__('Demo Installed', 'eight-degree'),
	'demo_confirm' => esc_html__('Are you sure to import demo content ?', 'eight-degree'),

	// Actions Required
	'req_plugins_installed' => esc_html__( 'All Recommended action has been successfully completed.', 'eight-degree' ),
	'customize_theme_btn' => esc_html__( 'Customize Theme', 'eight-degree' ),
);

/**
 * Initiating Welcome Page
*/
$my_theme_wc_page = new eight_degree_Welcome( $plugins, $strings );